
import os
import re
import json
import random
import string
import datetime

def generate_random_password(length=8):
    if not isinstance(length, int) or length < 8:
        raise ValueError("Password length must be an integer greater than or equal to 8.")
    characters = string.ascii_letters + string.digits
    return ''.join(random.choice(characters) for i in range(length))

